package org.project.item.weapons;

public class Bow extends Weapon{

    private int abilityCharge;
    private static int MAX_CHARGE = 4;

    public Bow() {
        super("Bow",15,25);
    }

    public boolean charge() {
        abilityCharge++;
        if (abilityCharge >= MAX_CHARGE) {
            abilityCharge = 0;
            System.out.println("Charged Strike!");
            return true;
        }
        return false;
    }
}
